//
//  RootViewController.m
//  PaymentRule
//
//  Created by kunii on 10/03/31.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "RootViewController.h"
#import "PaymentViewController.h"

@implementation RootViewController
@synthesize infoView;

#pragma mark -
#pragma mark View lifecycle

-(void)test {
	PaymentViewController* ctl =
		[[PaymentViewController alloc] initWithNibName:@"PaymentViewController" bundle:nil];
	[ctl.exclusions removeAllObjects];
	[ctl.exclusions setArray:exclusions];
	ctl.paymentDelegate = self;
	ctl.image = [UIImage imageNamed:@"dummy.png"];
	ctl.title = @"Test";
	[self.navigationController pushViewController:ctl animated:YES];
	[ctl release];
}

-(BOOL)paymentViewController:(PaymentViewController*)ctl add:(int)inAmount {
	[exclusions addObject:[NSNumber numberWithInt:inAmount]];
	return YES;
}

-(BOOL)paymentViewController:(PaymentViewController*)ctl remove:(int)inAmountAtIndex {
	[exclusions removeObjectAtIndex:inAmountAtIndex];
	return YES;
}

- (void)viewDidLoad {
    [super viewDidLoad];
	if (!exclusions)
		exclusions = [[NSMutableArray alloc] init];
	self.navigationItem.leftBarButtonItem 
			= [[[UIBarButtonItem alloc] initWithTitle:@"テスト"
			style:UIBarButtonItemStylePlain target:self 
			action:@selector(test)] autorelease];
	[self test];
}


/*
- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
}
*/
/*
- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
}
*/
/*
- (void)viewWillDisappear:(BOOL)animated {
	[super viewWillDisappear:animated];
}
*/
/*
- (void)viewDidDisappear:(BOOL)animated {
	[super viewDidDisappear:animated];
}
*/

/*
 // Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations.
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
 */


#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	self.infoView = nil;
}


- (void)dealloc {
	[infoView release];
    [super dealloc];
}


@end

